VersionCatalog (Gradle API 8.11)

Package org.gradle.api.artifacts

## Interface VersionCatalog

- All Superinterfaces:
    `Named`

      @NonNullApi
      public interface VersionCatalog
      extends Named

  Provides access to a version catalog. Unlike generated extension classes for catalogs, there is no guarantee that the requested aliases exist, so you must check existence on the returned optional values.
  Since:
    7.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Optional<Provider<ExternalModuleDependencyBundle>>` | `findBundle​(java.lang.String alias)` | Returns the provider for the corresponding bundle alias.
    `java.util.Optional<Provider<MinimalExternalModuleDependency>>` | `findLibrary​(java.lang.String alias)` | Returns the dependency provider for the corresponding library alias.
    `java.util.Optional<Provider<PluginDependency>>` | `findPlugin​(java.lang.String alias)` | Returns the plugin dependency provider for the requested alias.
    `java.util.Optional<VersionConstraint>` | `findVersion​(java.lang.String alias)` | Returns the version constraint with the corresponding alias in the catalog.
    `java.util.List<java.lang.String>` | `getBundleAliases()` | Returns the list of bundles defined in this version catalog.
    `java.util.List<java.lang.String>` | `getLibraryAliases()` | Returns the list of aliases defined in this version catalog.
    `java.util.List<java.lang.String>` | `getPluginAliases()` | Returns the list of plugin aliases defined in this version catalog.
    `java.util.List<java.lang.String>` | `getVersionAliases()` | Returns the list of version aliases defined in this version catalog.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### findLibrary

          java.util.Optional<Provider<MinimalExternalModuleDependency>> findLibrary​(java.lang.String alias)

      Returns the dependency provider for the corresponding library alias.

      Note: Alias will be automatically normalized: '-', '_' and '.' will be replaced with '.'

      Parameters:
        `alias` - the alias of the library
      Since:
        7.4

    - #### findBundle

          java.util.Optional<Provider<ExternalModuleDependencyBundle>> findBundle​(java.lang.String alias)

      Returns the provider for the corresponding bundle alias.

      Note: Bundle will be automatically normalized: '-', '_' and '.' will be replaced with '.'

      Parameters:
        `alias` - the alias of the bundle

    - #### findVersion

          java.util.Optional<VersionConstraint> findVersion​(java.lang.String alias)

      Returns the version constraint with the corresponding alias in the catalog.

      Note: Alias will be automatically normalized: '-', '_' and '.' will be replaced with '.'

      Parameters:
        `alias` - the alias of the version

    - #### findPlugin

          java.util.Optional<Provider<PluginDependency>> findPlugin​(java.lang.String alias)

      Returns the plugin dependency provider for the requested alias.

      Note: Alias will be automatically normalized: '-', '_' and '.' will be replaced with '.'

      Parameters:
        `alias` - the alias of the plugin
      Since:
        7.2

    - #### getLibraryAliases

          java.util.List<java.lang.String> getLibraryAliases()

      Returns the list of aliases defined in this version catalog.

      Note: Returned aliases are normalized: '-', '_' and '.' have been replaced with '.'

      Returns:
        the list of library aliases
      Since:
        7.4

    - #### getBundleAliases

          java.util.List<java.lang.String> getBundleAliases()

      Returns the list of bundles defined in this version catalog.

      Note: Returned aliases are normalized: '-', '_' and '.' have been replaced with '.'

      Returns:
        the list of bundle aliases
      Since:
        7.1

    - #### getVersionAliases

          java.util.List<java.lang.String> getVersionAliases()

      Returns the list of version aliases defined in this version catalog.

      Note: Returned aliases are normalized: '-', '_' and '.' have been replaced with '.'

      Returns:
        the list of version aliases
      Since:
        7.1

    - #### getPluginAliases

          java.util.List<java.lang.String> getPluginAliases()

      Returns the list of plugin aliases defined in this version catalog.

      Note: Returned aliases are normalized: '-', '_' and '.' have been replaced with '.'

      Returns:
        the list of plugin aliases
      Since:
        7.2